Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server
Class BasicQueueParameters

    java.lang.Object
      org.jboss.mq.server.BasicQueueParameters

public class BasicQueueParameters
extends Object

Parameters controlling a basic queue

Version:
  $Revision: 1.4.4.1 $
Author:
  Adrian Brock

Field Summary
`boolean` | `inMemory` Whether we should do things in memory (needs support from pm)
`boolean` | `lateClone` Whether we are late cloning
`int` | `maxDepth` The maximum depth of a queue
`int` | `messageCounterHistoryDayLimit` The message counter history
`Class` | `receiversImpl` The receivers implementation class
`long` | `redeliveryDelay` The delay in milliseconds before a rolled back or recovered message is redelivered
`int` | `redeliveryLimit` The number of times a message will be redelivered after a recover or rollback.

Constructor Summary
`BasicQueueParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maxDepth

    public int maxDepth

  The maximum depth of a queue

### inMemory

    public boolean inMemory

  Whether we should do things in memory (needs support from pm)

### lateClone

    public boolean lateClone

  Whether we are late cloning

### redeliveryDelay

    public long redeliveryDelay

  The delay in milliseconds before a rolled back or recovered message is redelivered

### redeliveryLimit

    public int redeliveryLimit

  The number of times a message will be redelivered after a recover or rollback. The value `-1` means there is no configured limit.

### receiversImpl

    public Class receiversImpl

  The receivers implementation class

### messageCounterHistoryDayLimit

    public int messageCounterHistoryDayLimit

  The message counter history

Constructor Detail

### BasicQueueParameters

    public BasicQueueParameters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.